Subject: bug#12502: 24.2.50; Debugger messes up current-buffer

From: martin rudalics <[email-masked]>
Date: Tue, 25 Sep 2012 18:45:27 +0200

> Yes, that seems to fix the problem.  But the save-exursion in line 218
 > looks now supsisously irrelevant.

Maybe.  There's another one nested inside.  I know next to nothing about
the internals of the debugger.

 > I'l look for problems, but I'm not sure what the correct/incorrect
 > behaviour regarding window management should be.  The old
 > save-window-excursion worked pretty well for me.

It didn't work at all for people showing the debugger in an extra frame.

martin